<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Panel de Ginecología/Obstetricia</title>
    <link href="https://fonts.googleapis.com/css?family=Poppins:100,200,300" rel="stylesheet" />
    <link rel="stylesheet" href="static/css/style_2.css">
    <script src="/static/js/dashboard_ginecology.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.9.0/chart.min.js"></script>
    <title>Panel de Ginecología/Obstetricia</title>
</head>

<body>
    <main>
    
        <div class="loading-message">Procesando los Datos.....</div>


        <h1>CAPS Humberto D'Angelo - GINECO-OBSTETRICIA</h1>
        <p>Visualización de estadísticas globales</p>
        
        <hr>
        <div class="filter">
        <label for="fecha1">Desde (>=):</label>
        <input type="date" id="fecha1" name="fecha1">
        <label for="fecha2">Hasta (<=):</label>
        <input type="date" id="fecha2" name="fecha2">
        <button onclick="Update()" type="submit">Aplicar filtro</button>
        </div>
        <hr>
        <section class="cols-1">
            <figure>
                <p class="selected_period">Últimos 15 días</p>
                <h3>Controles Embarazo según Profesionales</h3>
                <div id="canva1">
                    <canvas id="PrenatalByProfessional"></canvas>
                </div>
            </figure>
        </section>
        
        <section class="cols-2">
            <figure>
                <p class="selected_period">Últimos 15 días</p>
                <h3>Controles Embarazo según día de la Semana</h3>
                <div id="canva2">
                    <canvas id="PrenatalByDays"></canvas>
                </div>
            </figure>
            
            <figure>
                <p class="selected_period">Últimos 15 días</p>
                <h3>Controles Embarazo según Obra Social</h3>
                <div id="canva5">
                    <canvas id="PrenatalByInsurance"></canvas>
                </div>
            </figure>
        </section>
        
        <section class="cols-1">
            <figure>
                <p class="selected_period">Últimos 15 días</p>
                <h3>Controles Embarazo según Grupos Etarios</h3>
                <div id="canva4">
                    <canvas id="PrenatalByAgeGroups"></canvas>
                </div>
            </figure>
        </section>
        
        <section class="cols-4">
            <figure>
                <p class="selected_period">Últimos 15 días</p>
                <h3>Controles con Hipertensión Arterial</h3>
                <h1 id="prenatal_hta"> - </h1>
            </figure>
            <figure>
                <p class="selected_period">Últimos 15 días</p>
                <h3>Controles con Preeclampsia</h3>
                <h1 id="prenatal_pree"> - </h1>
            </figure>
            <figure>
                <p class="selected_period">Últimos 15 días</p>
                <h3>Controles con Diabetes</h3>
                <h1 id="prenatal_dbt"> - </h1>
            </figure>
            <figure>
                <p class="selected_period">Últimos 15 días</p>
                <h3>Controles con Sobrepeso</h3>
                <h1 id="prenatal_ow"> - </h1>
            </figure>
        </section>


    </main>
    
    <footer class="footer"> 
        <p>Desarrollado por el GESPyTA de la FI-UNER para uso en GNUHealth - v1.0 (2023) - copyleft<p>
        <a href="http://ingenieria.uner.edu.ar/grupos/salud_publica/" target="_blank" class="a">¿Quienes somos?</a>
        <a href="https://gitlab.com/gnuhealth_fiuner" target="_blank" class="a">Nuestro Repositorio</a>
        <a href="mailto=saludpublica@ingenieria.uner.edu.ar" target="_blank" class="a">Contacto</a>
    </footer>

   
<script >

 var data_1 = JSON.parse('{{ data | tojson}}');
            
PrenatalByDays(data_1, 'PrenatalByDays');
PrenatalByAgeGroups(data_1, 'PrenatalByAgeGroups');
PrenatalByProfessional(data_1, 'PrenatalByProfessional');
PrenatalByInsurance(data_1, 'PrenatalByInsurance');
PrenatalHTA(data_1);
PrenatalPREE(data_1);
PrenatalDBT(data_1);
PrenatalOW(data_1);


</script>

</body>

</html>
